/* 
 * File:   main.c
 * Author: chengo
 *
 * Created on October 14, 2019, 10:29 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include "SPI.h"
#include "Lcd4.h"
#include "TC72_Tempr.h"
//------------------------------------------------------------------------------
char strOut[15]; 
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{    
  SPI_init();
  LCD_init();
  TC72_Init();
  
  while(1)
  {       
   sprintf( strOut,"Tempr: %3.2fC",toFloat(TC72_ReadTempr()) );
   LCD_string(0,0,strOut);
   
    __delay_ms(1000);
    LCD_command(clear);
  }
   
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------